---
title: List supported cloud vendors and regions
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Cache](https://developers.cloudflare.com/api/go/resources/cache)

[Origin Cloud Regions](https://developers.cloudflare.com/api/go/resources/cache/subresources/origin_cloud_regions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List supported cloud vendors and regions

client.Cache.OriginCloudRegions.SupportedRegions(ctx, query) (\*[OriginCloudRegionSupportedRegionsResponse](<https://developers.cloudflare.com/api/go/resources/cache#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20OriginCloudRegionSupportedRegionsResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/origin/cloud\_regions/supported\_regions

Returns the cloud vendors and regions that are valid values for origin cloud region mappings. Each region includes the Tiered Cache upper-tier colocation codes that will be used for cache routing when a mapping targeting that region is active. Requires the zone to have Tiered Cache enabled.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

query OriginCloudRegionSupportedRegionsParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(method)%20supported_regions%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.origin_cloud_regions%20%3E%20(method)%20supported_regions%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type OriginCloudRegionSupportedRegionsResponse struct{…}

Cloud vendors and their supported regions for origin cloud region mappings.

</summary>

ObtainedCodes bool

Whether Cloudflare airport codes (IATA colo identifiers) were successfully resolved for the <code>upper_tier_colos</code> field on each region. When <code>false</code>, the <code>upper_tier_colos</code> arrays may be empty or incomplete.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20OriginCloudRegionSupportedRegionsResponse%20%3E%20(schema)%20%3E%20(property)%20obtained_codes">Link to this property</a>

<details>

<summary>

Vendors map\[string, \[]OriginCloudRegionSupportedRegionsResponseVendor]

Map of vendor name to list of supported regions.

</summary>

Name string

Cloud vendor region identifier.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20OriginCloudRegionSupportedRegionsResponse%20%3E%20(schema)%20%3E%20(property)%20vendors%20%3E%20(items)%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

UpperTierColos \[]string

Cloudflare Tiered Cache upper-tier colocation codes co-located with this cloud region. Requests from zones with a matching origin mapping will be routed through these colos.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20OriginCloudRegionSupportedRegionsResponse%20%3E%20(schema)%20%3E%20(property)%20vendors%20%3E%20(items)%20%3E%20(items)%20%3E%20(property)%20upper_tier_colos">Link to this property</a>

</details>

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20OriginCloudRegionSupportedRegionsResponse%20%3E%20(schema)%20%3E%20(property)%20vendors">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20OriginCloudRegionSupportedRegionsResponse%20%3E%20(schema)>)

### List supported cloud vendors and regions

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/cache"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Cache.OriginCloudRegions.SupportedRegions(context.TODO(), cache.OriginCloudRegionSupportedRegionsParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ObtainedCodes)
}
```

200 example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "obtained_codes": true,
    "vendors": {
      "aws": [
        {
          "name": "us-east-1",
          "upper_tier_colos": [
            "IAD",
            "EWR"
          ]
        },
        {
          "name": "us-west-2",
          "upper_tier_colos": [
            "SEA"
          ]
        }
      ],
      "gcp": [
        {
          "name": "us-central1",
          "upper_tier_colos": [
            "ORD"
          ]
        }
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "obtained_codes": true,
    "vendors": {
      "aws": [
        {
          "name": "us-east-1",
          "upper_tier_colos": [
            "IAD",
            "EWR"
          ]
        },
        {
          "name": "us-west-2",
          "upper_tier_colos": [
            "SEA"
          ]
        }
      ],
      "gcp": [
        {
          "name": "us-central1",
          "upper_tier_colos": [
            "ORD"
          ]
        }
      ]
    }
  },
  "success": true
}
```